using Microsoft.Extensions.DependencyInjection;
using NetworkResurrector.Server.Abstractions;

namespace NetworkResurrector.WakeOnLan.Inhouse
{
    public static class DependencyInjectionExtensions
    {
        public static void AddWakeOnLanInhouseService(this IServiceCollection services)
        {
            services.AddScoped<WolClient>();
            services.AddScoped<IWakeOnLanService, WolDriver>();
        }
    }
}
